<?php

namespace JetBackup\Ajax;

if (!defined( '__JETBACKUP__')) die('Direct access is not allowed');

abstract class ListRecord extends aAjax {
	public function getSkip():int { return (int) $this->_data->get('skip', 0); }
	public function getLimit():int { return (int) $this->_data->get('limit', 0); }
	public function getSort():array { return (array) $this->_data->get('sort', []); }

	public function getFind():array { return $this->_data->get('find', []); }

	/**
	 * @return string
	 */
	public function getFilter():string { return $this->_data->get('filter'); }

}